### Class

# GUPnPAV Feature

#### Description [src]

    class GUPnPAV.Feature : GObject.Object
    {
      /* No available fields */
    }

ContentDirectory feature

`GUPnPFeature` respresent a Feature element.

#### Ancestors

- GObject

#### Instance methods

###### gupnp_feature_get_name

Get the name of the `feature`.

###### gupnp_feature_get_object_ids

Get the object IDs related to the `feature`.

###### gupnp_feature_get_version

Get the version of the `feature`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GUPnPAV.Feature:name

The name of this feature.

###### GUPnPAV.Feature:object-ids

The object IDs related to this feature.

###### GUPnPAV.Feature:version

The version of this feature.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUPnPAVFeatureClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.